=== debian/changelog ===
wireguard-linux-compat (0.0.20191226-1ubuntu2) devel; urgency=medium

  * Actually do the things listed in the previous changelog.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 17 Jan 2020 22:34:44 -0500

wireguard-linux-compat (0.0.20191226-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 17 Jan 2020 18:33:32 -0500

wireguard-linux-compat (0.0.20191226-1) unstable; urgency=medium

  * new upstream source package (Closes: #948503)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 09 Jan 2020 09:54:29 -0500

wireguard (0.0.20191219-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 19 Dec 2019 11:33:41 -0500

wireguard (0.0.20191212-1) unstable; urgency=medium

  * new upstream release
  * encourage nftables instead of iptables

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 12 Dec 2019 10:53:37 -0500

wireguard (0.0.20191206-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 06 Dec 2019 17:32:38 -0500

wireguard (0.0.20191127-2) unstable; urgency=medium

  * wireguard-tools now Recommends: iptables because of wg-quick

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 04 Dec 2019 10:46:36 -0500

wireguard (0.0.20191127-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 02 Dec 2019 09:44:34 -0500

wireguard (0.0.20191012-1) unstable; urgency=medium

  * new upstream release
  * d/clean: clean up generated assembler
  * more notes about autopkgtest
  * standards-version: bump to 4.4.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Oct 2019 17:41:38 +0200

wireguard (0.0.20190913-1) unstable; urgency=medium

  * new upstream release
  * verbose build to satisfy compiler-flags-hidden complaint from bls

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 26 Sep 2019 10:29:32 +0200

wireguard (0.0.20190905-1) unstable; urgency=medium

  * new upstream release
  * refresh patches
  * include ${perl:Depends} in wireguard-dkms

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 08 Sep 2019 15:42:09 -0400

wireguard (0.0.20190702-3) unstable; urgency=medium

  * clean up wireguard-modules versioned dependency (Closes: #930432)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Aug 2019 20:52:22 -0400

wireguard (0.0.20190702-2) unstable; urgency=medium

  * Work around faulty siphash backport (Closes: #934763)
  * standards-version: bump to 4.4.0 (no changes needed)
  * override package-supports-alternative-init-but-no-init.d-script for
    wireguard-tools

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Aug 2019 18:07:59 -0400

wireguard (0.0.20190702-1) unstable; urgency=medium

  * new upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Jul 2019 09:02:32 -0400

wireguard (0.0.20190601-1) unstable; urgency=medium

  * new upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 17 Jun 2019 12:25:58 -0400

wireguard (0.0.20190406-1) unstable; urgency=medium

  * New upstream version
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Apr 2019 17:09:41 -0400

wireguard (0.0.20190227-1) unstable; urgency=medium

  * New upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 01 Mar 2019 13:34:53 -0500

wireguard (0.0.20190123-1) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * wireguard.postinst: Add module reload on upgrade (Closes: #913446)

  [ Daniel Kahn Gillmor ]
  * New upstream version (Closes: #919232)
  * Tighten dependencies and description of wireguard metapackage
  * Fine-tune module reload code on wireguard.postinst
  * Standards-Version: bump to 4.3.0 (no changes needed)
  * Update debian/copyright
  * override lintian warning version-substvar-for-external-package
  * move to debhelper-compat 12

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 28 Jan 2019 14:31:53 -0500

wireguard (0.0.20181218-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Dec 2018 13:50:07 -0500

wireguard (0.0.20181119-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Nov 2018 13:30:22 -0500

wireguard (0.0.20181115-1) unstable; urgency=medium

  * New upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 15 Nov 2018 17:47:30 -0500

wireguard (0.0.20181018-1) unstable; urgency=medium

  * new upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Oct 2018 09:42:59 -0400

wireguard (0.0.20181007-1) unstable; urgency=medium

  * new upstream snapshot release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Oct 2018 09:42:44 -0400

wireguard (0.0.20180925-1) unstable; urgency=medium

  * new upstream snapshot release
  * d/copyright: update for licensing tweaks

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 27 Sep 2018 17:02:13 -0400

wireguard (0.0.20180918-1) unstable; urgency=medium

  * new upstream snapshot release
  * d/copyright: note zinc change to MIT license

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Sep 2018 15:44:54 -0400

wireguard (0.0.20180910-1) unstable; urgency=medium

  * new upstream snapshot release
  * d/copyright update for new code sources

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Sep 2018 00:28:31 -0400

wireguard (0.0.20180904-2) unstable; urgency=medium

  * dkms: use upstream version instead of debian version (closes: #906019)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 06 Sep 2018 13:08:44 -0400


