=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_VERSION_UPSTREAM

WIREGUARD_ARGS = V=1

%:
	dh $@ --with dkms

override_dh_auto_install-indep:
	$(MAKE) -C src DESTDIR=../debian/wireguard-dkms DKMSDIR=/usr/src/wireguard-$(DEB_VERSION_UPSTREAM) dkms-install

override_dh_dkms:
	dh_dkms -p wireguard-dkms -- src/dkms.conf

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog
