## wireguard-linux-compat 0.0.20200105

=== debian/changelog ===
wireguard-linux-compat (0.0.20200105-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 21 Jan 2020 01:31:28 -0500

wireguard-linux-compat (0.0.20200105-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 18 Jan 2020 09:55:11 -0500
