=== debian/changelog ===
wireguard-linux-compat (0.0.20200121-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 22 Jan 2020 05:02:53 -0500

wireguard-linux-compat (0.0.20200121-1) unstable; urgency=medium

  * New upstream release
  * standards-version: bump to 4.5.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 21 Jan 2020 16:05:08 -0500
