=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  dkms,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.wireguard.com
 Vcs-Git: https://salsa.debian.org/debian/wireguard-linux-compat.git
 Vcs-Browser: https://salsa.debian.org/debian/wireguard-linux-compat
