## wireguard-linux-compat 0.0.20200128

=== debian/changelog ===
wireguard-linux-compat (0.0.20200128-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 29 Jan 2020 21:34:31 -0500

wireguard-linux-compat (0.0.20200128-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 29 Jan 2020 10:19:24 -0500

wireguard-linux-compat (0.0.20200121-3ubuntu1) devel; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 23 Jan 2020 18:05:16 -0500

wireguard-linux-compat (0.0.20200121-3) unstable; urgency=medium

  * ensure dkms runs in postinst before we consider reloading the module
    (Closes: #949672, #949670)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 Jan 2020 10:57:44 -0500

wireguard-linux-compat (0.0.20200121-2) unstable; urgency=medium

  * Import module reload postinst script from wireguard package

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 22 Jan 2020 13:08:02 -0500
