=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  ${perl:Depends},
 Recommends:
  wireguard-tools (>= 0.0.20191219),
+ wireguard (>= 0.0.20191219)
 Description: fast, modern, secure kernel VPN tunnel (DKMS version)
  WireGuard is a novel VPN that runs inside the Linux Kernel and uses
  state-of-the-art cryptography (the "Noise" protocol). It aims to be
@@ -31,3 +32,6 @@
  .
  This package uses DKMS to automatically build the wireguard kernel
  module.
+ .
+ The module will be reloaded on upgrade if the wireguard metapackage
+ is also installed.
