## wireguard-linux-compat 0.0.20200205

=== debian/changelog ===
wireguard-linux-compat (0.0.20200205-1ubuntu1~19.10.1) eoan; urgency=medium

  * Sync with Focal to fix build issues (LP: #1862413)

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 14 Feb 2020 13:28:57 +0000

wireguard-linux-compat (0.0.20200205-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 08 Feb 2020 17:22:02 -0500

wireguard-linux-compat (0.0.20200205-1) unstable; urgency=medium

  [ Unit 193 ]
  * d/wireguard-dkms.postinst: If we don't reload the module, signal a
    reboot is required.  (Closes: #944466)

  [ Daniel Kahn Gillmor ]
  * New upstream release
  * Avoid asking for reboot unnecessarily if old module is not loaded

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 08 Feb 2020 10:03:01 -0500
