=== debian/changelog ===
wireguard-linux-compat (0.0.20200215-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 26 Feb 2020 09:35:41 +0000

wireguard-linux-compat (0.0.20200215-2) unstable; urgency=medium

  * Stop reloading kernel module based on metapackage installation.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 24 Feb 2020 10:11:44 -0500

wireguard-linux-compat (0.0.20200215-1ubuntu2) focal; urgency=medium

  * Apply upstream commit 999b28d22258 ("postinst: remove bespoke
    error-prone auto-update mechanism") removing unreliable module
    bounce on upgrade.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 24 Feb 2020 09:14:30 +0000

wireguard-linux-compat (0.0.20200215-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 22 Feb 2020 16:52:39 -0500

wireguard-linux-compat (0.0.20200215-1) unstable; urgency=medium

  * New upstream version
  * Minor packaging cleanup:
   - wrap-and-sort -ast
   - cleanup whitespace in postinst

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 17 Feb 2020 22:06:31 -0500
