## wireguard-linux-compat 0.0.20200318

=== debian/changelog ===
wireguard-linux-compat (0.0.20200318-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 21 Mar 2020 23:32:36 -0400

wireguard-linux-compat (0.0.20200318-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * d/watch: Update to find new releases.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Mar 2020 21:36:42 -0400
