## wireguard-linux-compat 1.0.20200330

=== debian/changelog ===
wireguard-linux-compat (1.0.20200330-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop ADT test which requires full internet access and also abuses a
      test server without permission.
    - Drop d/p/0003-compat-fix-on-debian-4.9.168-in-sloppy-manner.patch:
      + We do not ship this stable kernel stream.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 30 Mar 2020 22:06:16 -0400

wireguard-linux-compat (1.0.20200330-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Add Unit193 to Uploaders

  [ Unit 193 ]
  * New upstream release.
  * Refresh patch.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 30 Mar 2020 21:13:12 -0400
