## wireguard-linux-compat 1.0.20200401

=== debian/changelog ===
wireguard-linux-compat (1.0.20200401-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Apr 2020 16:01:24 -0700

wireguard-linux-compat (1.0.20200401-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 01 Apr 2020 17:44:49 -0400
