=== debian/tests/control ===
Tests: ncat-client
Restrictions: needs-root, isolation-machine
Depends:
 iproute2,
 wget,
 @,
