=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wireguard-linux-compat
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders: Unit 193 <unit193@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 12),
