=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,3 @@
 
 override_dh_dkms:
 	dh_dkms -p wireguard-dkms -- src/dkms.conf
-
-override_dh_installchangelogs:
-	dh_installchangelogs debian/upstream.changelog
