## wireguard-linux-compat 1.0.20200429

=== debian/changelog ===
wireguard-linux-compat (1.0.20200429-2) unstable; urgency=medium

  * handle backport of ip6_dst_lookup_flow to linux 4.19.118 (Closes: #959157)
  * add dependency on bc (Closes: #956869)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 01 May 2020 13:33:05 -0400

wireguard-linux-compat (1.0.20200429-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * simplify test for debian kernel with backported wireguard
  * improve fix to avoid problems with wireguard against debian backported 5.5

  [ Unit 193 ]
  * New upstream release.
  * d/control: Update my email address.

 -- Unit 193 <unit193@debian.org>  Thu, 30 Apr 2020 18:11:28 -0400

wireguard-linux-compat (1.0.20200413-2) unstable; urgency=medium

  * wrap-and-sort -ast
  * Avoid trying to compile on debian 5.5 kernels (Closes: #956241)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 15 Apr 2020 17:30:16 -0400
