=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Uploaders: Unit 193 <unit193@ubuntu.com>
+Uploaders:
+ Unit 193 <unit193@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
  dkms,
@@ -16,6 +17,7 @@
 Architecture: all
 Section: kernel
 Depends:
+ bc,
  ${misc:Depends},
  ${perl:Depends},
 Recommends:
