## wireguard-linux-compat 1.0.20200506

=== debian/changelog ===
wireguard-linux-compat (1.0.20200506-1~19.10.1) eoan; urgency=medium

  * Backport latest upstream packages to eoan. (LP: #1870293)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 18 May 2020 06:29:18 +0100

wireguard-linux-compat (1.0.20200506-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch, handled upstream.
  * d/control: Upstream replaced the bc call with pure bash, so drop the dep.

 -- Unit 193 <unit193@debian.org>  Mon, 11 May 2020 19:06:32 -0400
