=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
 Architecture: all
 Section: kernel
 Depends:
- bc,
  ${misc:Depends},
  ${perl:Depends},
 Recommends:
