=== debian/changelog ===
wireguard-linux-compat (1.0.20200520-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump DH compat to 13.

 -- Unit 193 <unit193@debian.org>  Mon, 01 Jun 2020 23:34:57 -0400
